'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ow = require('ow');

var _ow2 = _interopRequireDefault(_ow);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (random) {
  var n = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1;
  var p = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0.5;

  (0, _ow2.default)(n, _ow2.default.number.positive.integer.label('n'));
  (0, _ow2.default)(p, _ow2.default.number.greaterThanOrEqual(0).lessThanOrEqual(1).label('p'));

  return function () {
    var i = 0;
    var x = 0;

    while (i++ < n) {
      x += random.next() < p;
    }

    return x;
  };
};
//# sourceMappingURL=binomial.js.map