'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ow = require('ow');

var _ow2 = _interopRequireDefault(_ow);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (random) {
  var p = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0.5;

  (0, _ow2.default)(p, _ow2.default.number.greaterThan(0).lessThanOrEqual(1).label('p'));
  var invLogP = 1.0 / Math.log(1.0 - p);

  return function () {
    return 1 + Math.log(random.next()) * invLogP | 0;
  };
};
//# sourceMappingURL=geometric.js.map